# Report Framework 

The following sections of the report provide a framework for considering the costs of publishing _Tremor_ at CDRS—first, through an examination of the categories of personnel assembled for the journal production and subsequently through a review of the journal production components and effort estimates of personnel in each component. The report reviews costs both (1) as a measure of staff time to conduct work in the components and (2) as a balance sheet of revenues against expenses, and these may be found under sections 4 and 5 respectively. A number of compromises were sought to bring some uniformity to data analysis and presentation, and a brief description of and rationale for these appear here:

* Both the project components and the personnel categories presented in this report reduce complexity of the data to provide a useful framework for discussion. Every effort has been made to faithfully recount events and account for time spent, yet the overall picture has been reassembled and estimated from historical data sources (e.g., email, invoices, internal reports).

* Some of this reduction has led to the presentation of categories with blurry boundaries. As will be seen, individual staff members occupy roles in multiple personnel catgories. In turn, similar production activities occur in mulitple project components. Explanation is provided in the corresponding descriptions to improve clarity.
 
* All effort expenditures reported by CDRS staff are production (read: not editorial) allocations. Therefore, in addition to all data presented here are the investments of effort in editorial preparation by the _Tremor_ editor-in-chief, the reviews editor, and the editorial board. Effort in conducting peer-review management and of editorial time spent in dialogue with project constitutents is thus excluded.
 
* Among the platform customizations, the development of an OJS plugin to manage communication and transfer of data between the OJS and an external vendor was especially resource-intensive, owing to a number of factors that include staff turnover and ramp-up of internal expertise in OJS development conventions. With the benefit of hindsight, CDRS staff would likely pursue a different path to achieve similar results, but the impact of these efforts on the totals nevertheless appear in the data reported.

* An earlier account of the costs in developing _Tremor_ was reported at the 2013 PKP Schloarly Publishing conference in Mexico City \cite{Newton_2013}. Whereas the numbers provided here differ, this present work provides a new framework for examining the costs and represents an even greater investent in arriving at an accurate report.

* The dip in number of work hours for library staff in 2012 results not only from a greater maturity and realized efficiency of the journal project but also from a termporary reduction in overall staff at CDRS, which required a reduction of time across all projects to meet prioritized deadlines.

* CDRS' approach to open source software development and customization has advanced significantly since the project's inception. Technical debt incurred from early decisions to modify core OJS application code would be averted, given the current preference for a modular development approach and plugin-based architecture.