### PubMed Central

_Component Description_: Indexing in PubMed ([pubmed.gov](http://pubmed.gov/)) has always been an editorial (and therefore partnership) priority for _Tremor_. To become visible in PubMed, a difficult charge for an upstart journal, the _Tremor_ team elected instead to pursue publisher status in PubMed Central (PMC), the open access archive for publicly funded medical research publications ([pubmedcentral.gov](http://pubmedcentral.gov/)). Many of _Tremor_’s authors are NIH award recipients, and their corresponding journal publications were supplied to PMC of compliance necessity. CDRS partnered with a librarian from the Columbia University Medical Center (CUMC) to handle the earlier one-off deposits of individual articles in PMC, which subsequently became discoverable in PubMed. Behind the scenes, however, CDRS production and journal editorial worked extensively to meet PMC publisher-status qualifications for comprehensive coverage of journal content.

_Project Specifics_: Application to PMC is two-fold, with both scientific quality and technical components. To become eligible to apply for publisher status required continuous publication of a minimum of 30 articles as of May 2011. Nearly all of the early work in PMC preparation, therefore, was handled outside of CDRS (and therefore not represented in this calculation) in the solicitation, review, and publication of the initial corpus, a task made challenging by the lack of visibility of the journal in the first place.

From the production side, groundwork was laid to ensure a swift and successful scientific quality evaluation. Extensive documentation (on the makeup of the editorial board, on the rigor of the review process, on the ethics standards pursued by the journal and its editor) were published to the journal Web site. In preparation for the technical evaluation (ostensibly a review of the NLM DTD-compliant XML article galleys for validity and conformance to PMC idiosyncratic requirements), Production worked with a prepress vendor familiar with PMC to publish XML content alongside HTML and PDF expression of the articles.

_Expense Overview_: PMC costs, captured as a separate project component, also peak in 2012, at the height of the activity around technical assessment for journal inclusion (Figure \ref{fig:pmcgraph}). There were a number of minor areas of review and concern expressed by PMC about the quality of _Tremor_ XML, which precipitated several rounds of discussion with the XML-preparation. Since successful promotion to PMC publisher status in 2012, these costs have been significantly reduced and all journal content is now visible in both PMC and PubMed, meeting the initial requirement (Figure \ref{fig:pmcscreenshot}). Subsequent expenses have included minor adjustments to the formatted files for the inclusion of DOIs, for the publication of errata and article responses, and for outbound linking from PubMed back to the journal site. Presence in PMC remains an ongoing priority for the journal, and it is presumed these costs will never drop to zero.