# 
At one-hundred twenty-two articles published, the open access journal _Tremor and other Hyperkinetic Movements_ ([tremorjournal.org](http://tremorjournal.org), ISSN: 2160-8288), is growing its readership and expanding its influence among patients, clinicians, researchers, and the general public interested in issues of non-Parkinsonian tremor disorders. Among the characteristics that set the journal apart from similar publications, _Tremor_ is published in partnership with the library-based publications program  at Columbia University’s Center for Digital Research and Scholarship (CDRS). The production of _Tremor_ in conjunction with its editor, a researching faculty member, clinician, and epidemiologist at the Columbia University Medical Center, has pioneered several new workflows  at CDRS: article-charge processing, coordination of vendor services, integration into PubMed Central, administration of publication scholarships granted through a patient-advocacy organization, and open source platform development among them.

Open access publishing ventures in libraries often strive for lean operations by attempting to capitalize on the scholarly impact available through the use of templated and turnkey publication systems. For CDRS, production on _Tremor_ has provided opportunity to build operational capacity for more involved publication needs. The following report introduces a framework and account of the costs of producing such a publication as a guide to library and other non-traditional publishing operations interested in gauging the necessary investments. Following a review of the literature published to date on the costs of open access publishing and of the practice of journal publishing in academic libraries, the authors present a brief history of the _Tremor_ and a tabulation of the costs and expenditure of effort by library staff in production. Although producing _Tremor_ has been more expensive than other partner publications in the center's portfolio, the experiences have improved the library's capacity for addressing more challenging projects, and developments for _Tremor_ have already begun to be applied to other journals. 